# Uses of Class
org.eclipse.gef.common.collections.SetMultimapChangeListener.Change

Packages that use SetMultimapChangeListener.Change
Package
Description
org.eclipse.gef.common.beans.binding
This package augments the JavaFX binding API by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.beans.property
This package augments the property API of JavaFX by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of SetMultimapChangeListener.Change in org.eclipse.gef.common.beans.binding

Methods in org.eclipse.gef.common.beans.binding with parameters of type SetMultimapChangeListener.Change
Modifier and Type
Method
Description
`protected void`
SetMultimapBinding.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`void`
SetMultimapExpressionHelper.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Fires notifications to all attached `InvalidationListeners` and `SetMultimapChangeListeners`.

## Uses of SetMultimapChangeListener.Change in org.eclipse.gef.common.beans.property

Methods in org.eclipse.gef.common.beans.property with parameters of type SetMultimapChangeListener.Change
Modifier and Type
Method
Description
`protected void`
ReadOnlySetMultimapPropertyBase.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.
`protected void`
ReadOnlySetMultimapWrapper.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
`protected void`
SetMultimapPropertyBase.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetMultimapChangeListeners`.

## Uses of SetMultimapChangeListener.Change in org.eclipse.gef.common.collections

Subclasses of SetMultimapChangeListener.Change in org.eclipse.gef.common.collections
Modifier and Type
Class
Description
`static class`
`SetMultimapListenerHelper.AtomicChange<K,V>`
A simple implementation of an `SetMultimapChangeListener.Change`.
Methods in org.eclipse.gef.common.collections with parameters of type SetMultimapChangeListener.Change
Modifier and Type
Method
Description
`void`
SetMultimapListenerHelper.`fireValueChangedEvent(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Notifies all attached `InvalidationListener`s and `SetMultimapChangeListener`s about the change.
`protected void`
SetMultimapListenerHelper.`notifySetMultimapChangeListeners(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Notifies the attached `SetMultimapChangeListener`s about the related change.
`void`
SetMultimapChangeListener.`onChanged(SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Called after a change has been made to an `ObservableSetMultimap`.
Constructors in org.eclipse.gef.common.collections with parameters of type SetMultimapChangeListener.Change
Modifier
Constructor
Description
``
`AtomicChange(ObservableSetMultimap<K,V> source, SetMultimapChangeListener.Change<? extends K,? extends V> change)`
Creates a new `MultisetListenerHelper.AtomicChange` for the passed in source, based on the data provided in the passed-in change.